Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator Class Reference

Note that the class should ideally have been in a Logical namespace, but it would have then be named 'And', and 'And' is a PHP reserved word. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator:

## Public Member Functions
| __construct (array $criteria)
| Creates a Logic operation with the given criteria. More...
| getSpecifications ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| __construct ($target, $operator, $value, Value $valueData=null)
| Performs operator validation based on the Criterion specifications returned by {. More...

## Public Attributes
| $criteria = []
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
| $operator
| $value
| $target
| $valueData

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Query\Criterion
static | createFromQueryBuilder ($target, $operator, $value)

## Detailed Description

Note that the class should ideally have been in a Logical namespace, but it would have then be named 'And', and 'And' is a PHP reserved word.

Definition at line 17 of file API/Repository/Values/Content/Query/Criterion/LogicalOperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator::__construct | ( | array | $criteria | ) |

Creates a Logic operation with the given criteria.

Parameters

  Criterion[] | $criteria |

Exceptions

Definition at line 33 of file API/Repository/Values/Content/Query/Criterion/LogicalOperator.php.

References eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator\$criteria.

## Member Function Documentation

## ◆ getSpecifications()

eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator::getSpecifications | ( |  | ) |

Deprecated:
  in LogicalOperators since 7.2.

It will be removed in 8.0 when Logical Operator no longer extends Criterion.

Reimplemented from eZ\Publish\API\Repository\Values\Content\Query\Criterion.

Definition at line 59 of file API/Repository/Values/Content/Query/Criterion/LogicalOperator.php.

## Member Data Documentation

## ◆ $criteria

eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator::$criteria = []

Definition at line 24 of file API/Repository/Values/Content/Query/Criterion/LogicalOperator.php.

Referenced by eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator\__construct().

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/Query/Criterion/LogicalOperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.